Bug 89191 - Installer claims there is a recursive partition in partition table
Installer claims there is a recursive partition in partition table
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: parted (Show other bugs)
9
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-19 16:57 EDT by K Piche
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-04 08:58:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description K Piche 2003-04-19 16:57:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
Installing RH9 on Dell Latitude C810 laptop.  I selected custom installation and
manual partitioning.  A popup claimed there was a recursive partition.  Clicked
cancel.  The disk drake program appeared but the partition display is wrong. 
Here's my fdisk -l /dev/hda output:

Disk /dev/hda: 20.0 GB, 20003880960 bytes
255 heads, 63 sectors/track, 2432 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot    Start       End    Blocks   Id  System
/dev/hda1             1       783   6289416    b  Win95 FAT32
/dev/hda2           784       787     32130   83  Linux
/dev/hda3   *      1910      2432   4200997+  a5  FreeBSD
/dev/hda4           788      1909   9012465    f  Win95 Ext'd (LBA)
/dev/hda5           788      1179   3148740   83  Linux
/dev/hda6          1180      1701   4192933+  83  Linux
/dev/hda7          1877      1909    265041   82  Linux swap

Partition table entries are not in disk order

Admittedly the layout *is* odd, there are some unallocated space between hda6
and hda7, and the FreeBSD partition is located after the extended partition. 
Disk Druid displays this as:

vfat       hda1     1  783
linux      hda2   784  787
freebsd    hda3  1910 2432
ext        hda4   788 1909
  free            788 1179
  linux    hda5  1180 1701
  free           1702 1876
  swap     hda6  1877 1909

Is the partition table invalid?  Or is Anaconda confused?


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  Select Custom install
2.  Select manual partitioning

Additional info:
Comment 1 Jeremy Katz 2004-06-25 15:05:58 EDT
Does this still happen in Fedora Core 2?
Comment 2 Jeremy Katz 2004-11-04 08:58:07 EST
Closing due to inactivity.  Please reopen this bug if you have further
information to add to the report.

Note You need to log in before you can comment on or make changes to this bug.